> ## Documentation Index
> Fetch the complete documentation index at: https://docs.callers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update call status

> Sets the status of the given call of the given campaign



## OpenAPI

````yaml https://api.callers.ai/openapi-json post /campaigns/{campaignId}/calls/{callId}/setStatus
openapi: 3.0.0
info:
  title: Callers API
  description: API documentation for Callers, providing endpoints for seamless integration.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.callers.ai
security: []
tags: []
paths:
  /campaigns/{campaignId}/calls/{callId}/setStatus:
    post:
      tags:
        - Calls
      summary: Update call status
      description: Sets the status of the given call of the given campaign
      operationId: CampaignPublicController_setCallStatus
      parameters:
        - name: campaignId
          required: true
          in: path
          description: Id of the campaign as a string ObjectId value.
          schema:
            type: string
        - name: callId
          required: true
          in: path
          description: Id of the call as a string ObjectId value.
          schema:
            type: string
        - name: callReachedGoal
          required: true
          in: query
          description: New reached success criteria status for the given call
          schema:
            type: string
        - name: callStatus
          required: true
          in: query
          description: New status to set for the given call
          schema:
            $ref: '#/components/schemas/CallApiStatus'
        - name: x-sub-organization-id
          in: header
          schema:
            type: string
          description: >-
            Optional sub organization ID. Must belong to your main organization
            API key.
      responses:
        '200':
          description: ''
      security:
        - Authorization: []
components:
  schemas:
    CallApiStatus:
      type: string
      enum:
        - INTERESTED
        - NOT_INTERESTED
        - VOICE_MAIL
        - CALL_ME_LATER
        - DO_NOT_CALL
        - WRONG_NUMBER
        - COMPLETED
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````